using Quik;
using Quik.CommandMachine;
using Quik.Controls;
using Quik.OpenTK;


namespace QuikDemo
{
    public static class Program
    {
        public static readonly QuikApplication Application = new QuikApplication(new OpenTKPlatform());

        public static void Main(string[] args)
        {
            Application.Run(new EmptyView());
        }
    }

    public class EmptyView : View
    {
        protected override void PaintBegin(CommandQueue cmd)
        {
            base.PaintBegin(cmd);

            cmd.Rectangle(new QRectangle(0, 0, 16, 16));
        }
    }
}